IDCVSSSummaryLast (major) updatePublished
CVE-2018-20025 5.0
Use of Insufficiently Random Values exists in CODESYS V3 products versions prior V3.5.14.0.
02-04-2019 - 15:29 19-02-2019 - 21:29
CVE-2019-9012 7.8
An issue was discovered in 3S-Smart CODESYS V3 products. A crafted communication request may cause uncontrolled memory allocations in the affected CODESYS products and may result in a denial-of-service condition. All variants of the following CODESYS
24-08-2020 - 17:37 15-08-2019 - 18:15
CVE-2019-9010 7.5
An issue was discovered in 3S-Smart CODESYS V3 products. The CODESYS Gateway does not correctly verify the ownership of a communication channel. All variants of the following CODESYS V3 products in all versions prior to v3.5.14.20 that contain the Cm
24-08-2020 - 17:37 15-08-2019 - 18:15
CVE-2021-34599 5.8
Affected versions of CODESYS Git in Versions prior to V1.1.0.0 lack certificate validation in HTTPS handshakes. CODESYS Git does not implement certificate validation by default, so it does not verify that the server provides a valid and trusted HTTPS
12-05-2022 - 08:15 01-12-2021 - 09:15
Back to Top Mark selected
Back to Top